KDE 4.7 PyKDE API Reference

- KDE's Python API

# GeoDataObject Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoNode,Serializable
Namespace: Marble

## Detailed Description

A base class for all geodata objects

GeoDataObject is the base class for all geodata classes. It is never instantiated by itself, but is always used as part of a derived object.

The Geodata objects are all modeled after the Google KML files as defined in http://code.google.com/apis/kml/documentation/kml_tags_21.html.

A GeoDataObject contains 2 properties, both corresponding directly to tags in the KML files: the id, which is a unique identifier of the object, and a targetId which is used to reference other objects that have already been loaded.

The id property must only be set if the Update mechanism of KML is used, which is currently not supported by Marble.

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataObject a0)
int | id (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
Marble.GeoDataObject | parent (self)
| setId (self, int value)
| setParent (self, Marble.GeoDataObject parent)
| setTargetId (self, int value)
int | targetId (self)
| unpack (self, QDataStream steam)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataObject | a0
| ) |  |  |

int id | ( |  | self ) |

Get the id of the object.

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Marble.GeoDataObject parent | ( |  | self ) |

setId | ( | self, |
|  | int | value
| ) |  |  |

Set the id of the object

Parameters:

  | value | the new id value

setParent | ( | self, |
|  | Marble.GeoDataObject | parent
| ) |  |  |

setTargetId | ( | self, |
|  | int | value
| ) |  |  |

set a new targetId of this object

Parameters:

  | value | the new targetId value

int targetId | ( |  | self ) |

Get the targetId of the object to be replaced

unpack | ( | self, |
|  | QDataStream | steam
| ) |  |  |